netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
ddpstat Struct Reference

`#include <ddp_var.h>`

## Data Fields
uint32_t | ddps_short
uint32_t | ddps_long
uint32_t | ddps_nosum
uint32_t | ddps_badsum
uint32_t | ddps_tooshort
uint32_t | ddps_toosmall
uint32_t | ddps_forward
uint32_t | ddps_encap
uint32_t | ddps_cantforward
uint32_t | ddps_nosockspace

## Field Documentation

## ◆ ddps_badsum

uint32_t ddpstat::ddps_badsum

bad checksum

## ◆ ddps_cantforward

uint32_t ddpstat::ddps_cantforward

packets rcvd for unreachable dest

## ◆ ddps_encap

uint32_t ddpstat::ddps_encap

packets encapsulated

## ◆ ddps_forward

uint32_t ddpstat::ddps_forward

packets forwarded

## ◆ ddps_long

uint32_t ddpstat::ddps_long

long header packets received

## ◆ ddps_nosockspace

uint32_t ddpstat::ddps_nosockspace

no space in sockbuf for packet

## ◆ ddps_nosum

uint32_t ddpstat::ddps_nosum

no checksum

## ◆ ddps_short

uint32_t ddpstat::ddps_short

short header packets received

## ◆ ddps_tooshort

uint32_t ddpstat::ddps_tooshort

packet too short

## ◆ ddps_toosmall

uint32_t ddpstat::ddps_toosmall

not enough data

The documentation for this struct was generated from the following file:

- ddp_var.h